Bug 188842 - [patch update] security/p5-SAVI-Perl: support staging
Summary: [patch update] security/p5-SAVI-Perl: support staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 12:00 UTC by Kurt Jaeger
Modified: 2014-04-24 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.05 KB, patch)
2014-04-21 12:00 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2014-04-21 12:00:00 UTC
	Support staging

How-To-Repeat: 	-
Comment 1 Kurt Jaeger 2014-04-21 12:02:28 UTC
Hi!

> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       [patch update] TODO
> >Arrival-Date:   Mon Apr 21 11:00:00 UTC 2014

Ups. It's the maintainer update to support staging for security/p5-SAVI-Perl

-- 
pi@opsec.eu            +49 171 3101372                         6 years to go !
Comment 2 Edwin Groothuis freebsd_committer 2014-04-22 03:11:06 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-04-22 03:11:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 4 Frederic Culot freebsd_committer 2014-04-22 06:11:21 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 5 Kurt Jaeger freebsd_committer 2014-04-23 19:59:09 UTC
Responsible Changed
From-To: culot->pi

Working on it.
Comment 6 dfilter service freebsd_committer 2014-04-24 20:23:58 UTC
Author: pi
Date: Thu Apr 24 19:23:53 2014
New Revision: 352053
URL: http://svnweb.freebsd.org/changeset/ports/352053
QAT: https://qat.redports.org/buildarchive/r352053/

Log:
  security/p5-SAVI-Perl: fix staging, plist, maintainer address
  
  PR:             ports/188842
  Submitted by:   pi (myself)
  Approved by:    culot (mentors)

Modified:
  head/security/p5-SAVI-Perl/Makefile
  head/security/p5-SAVI-Perl/pkg-descr
  head/security/p5-SAVI-Perl/pkg-plist

Modified: head/security/p5-SAVI-Perl/Makefile
==============================================================================
--- head/security/p5-SAVI-Perl/Makefile	Thu Apr 24 18:56:32 2014	(r352052)
+++ head/security/p5-SAVI-Perl/Makefile	Thu Apr 24 19:23:53 2014	(r352053)
@@ -9,24 +9,22 @@ MASTER_SITES=	http://www.csupomona.edu/~
 MASTER_SITE_SUBDIR=	security
 PKGNAMEPREFIX=	p5-
 
-MAINTAINER=	fbsd-ports@opsec.eu
+MAINTAINER=	pi@FreeBSD.org
 COMMENT=	Perl5 module interface to Sophos AntiVirus
 
-BROKEN=		not staged
 MAN3=		SAVI.3
 
 USES=		perl5
 USE_PERL5=	configure
 ONLY_FOR_ARCHS=	i386 amd64
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if exists(${PREFIX}/lib/libsavi.so.3) && !exists(${PREFIX}/lib/libsavi.so)
 FAKELIBDIR=${WRKDIR}/lib
 CONFIGURE_ARGS+=LDDLFLAGS='-shared -L ${FAKELIBDIR}'
 .elif !exists(${PREFIX}/lib/libsavi.so)
-IGNORE=		please install Sophos Anti-Virus first
+IGNORE=		Sophos Anti-Virus needs to be installed (see pkg-descr)
 .endif
 
 .if defined(FAKELIBDIR)

Modified: head/security/p5-SAVI-Perl/pkg-descr
==============================================================================
--- head/security/p5-SAVI-Perl/pkg-descr	Thu Apr 24 18:56:32 2014	(r352052)
+++ head/security/p5-SAVI-Perl/pkg-descr	Thu Apr 24 19:23:53 2014	(r352053)
@@ -1,4 +1,10 @@
 This is sophossavi, the perl interface module to Sophos Anti virus.
 With thanks to the original author Paul B. Henson.
 
+Sophos AntiVirus from
+
+http://www.sophos.com/en-us/products/free-trials/shared-download-components/anti-virus-for-unix-and-netware.aspx
+
+needs to be installed to be able to build this.
+
 WWW: http://www.csupomona.edu/~henson/archive/projects/SAVI-Perl/dist/

Modified: head/security/p5-SAVI-Perl/pkg-plist
==============================================================================
--- head/security/p5-SAVI-Perl/pkg-plist	Thu Apr 24 18:56:32 2014	(r352052)
+++ head/security/p5-SAVI-Perl/pkg-plist	Thu Apr 24 19:23:53 2014	(r352053)
@@ -3,4 +3,5 @@
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/SAVI.bs
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/SAVI.so
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI/autosplit.ix
+%%PERL5_MAN3%%/SAVI.3.gz
 @dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/SAVI
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Kurt Jaeger freebsd_committer 2014-04-24 20:27:24 UTC
State Changed
From-To: open->closed

Fix